CREATE TABLE ben_cntnu_prtn_ctfn_typ_f (
    CNTNU_PRTN_CTFN_TYP_ID       NUMBER(18, 0),
    EFFECTIVE_START_DATE         DATE         ,
    EFFECTIVE_END_DATE           DATE         ,
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    CNTNG_PRTN_ELIG_PRFL_ID      NUMBER(18, 0)    NOT NULL,
    PFD_FLAG                     VARCHAR2(120)    NOT NULL,
    LACK_CTFN_SSPND_ELIG_FLAG    VARCHAR2(120)    NOT NULL,
    CTFN_RQD_WHEN_RL             NUMBER(18, 0),
    PRTN_CTFN_TYP_CD             VARCHAR2(120)    NOT NULL,
    CPC_ATTRIBUTE_CATEGORY       VARCHAR2(120),
    CPC_ATTRIBUTE1               VARCHAR2(600),
    CPC_ATTRIBUTE2               VARCHAR2(600),
    CPC_ATTRIBUTE3               VARCHAR2(600),
    CPC_ATTRIBUTE4               VARCHAR2(600),
    CPC_ATTRIBUTE5               VARCHAR2(600),
    CPC_ATTRIBUTE6               VARCHAR2(600),
    CPC_ATTRIBUTE7               VARCHAR2(600),
    CPC_ATTRIBUTE8               VARCHAR2(600),
    CPC_ATTRIBUTE9               VARCHAR2(600),
    CPC_ATTRIBUTE10              VARCHAR2(600),
    CPC_ATTRIBUTE11              VARCHAR2(600),
    CPC_ATTRIBUTE12              VARCHAR2(600),
    CPC_ATTRIBUTE13              VARCHAR2(600),
    CPC_ATTRIBUTE14              VARCHAR2(600),
    CPC_ATTRIBUTE15              VARCHAR2(600),
    CPC_ATTRIBUTE16              VARCHAR2(600),
    CPC_ATTRIBUTE17              VARCHAR2(600),
    CPC_ATTRIBUTE18              VARCHAR2(600),
    CPC_ATTRIBUTE19              VARCHAR2(600),
    CPC_ATTRIBUTE20              VARCHAR2(600),
    CPC_ATTRIBUTE21              VARCHAR2(600),
    CPC_ATTRIBUTE22              VARCHAR2(600),
    CPC_ATTRIBUTE23              VARCHAR2(600),
    CPC_ATTRIBUTE24              VARCHAR2(600),
    CPC_ATTRIBUTE25              VARCHAR2(600),
    CPC_ATTRIBUTE26              VARCHAR2(600),
    CPC_ATTRIBUTE27              VARCHAR2(600),
    CPC_ATTRIBUTE28              VARCHAR2(600),
    CPC_ATTRIBUTE29              VARCHAR2(600),
    CPC_ATTRIBUTE30              VARCHAR2(600),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CNTNU_PRTN_CTFN_TYP_ID       NUMBER(18, 0),
    EFFECTIVE_START_DATE         DATE         ,
    EFFECTIVE_END_DATE           DATE         ,
    BUSINESS_GROUP_ID            NUMBER(18, 0)    NOT NULL,
    CNTNG_PRTN_ELIG_PRFL_ID      NUMBER(18, 0)    NOT NULL,
    PFD_FLAG                     VARCHAR2(120)    NOT NULL,
    LACK_CTFN_SSPND_ELIG_FLAG    VARCHAR2(120)    NOT NULL,
    CTFN_RQD_WHEN_RL             NUMBER(18, 0),
    PRTN_CTFN_TYP_CD             VARCHAR2(120)    NOT NULL,
    CPC_ATTRIBUTE_CATEGORY       VARCHAR2(120),
    CPC_ATTRIBUTE1               VARCHAR2(600),
    CPC_ATTRIBUTE2               VARCHAR2(600),
    CPC_ATTRIBUTE3               VARCHAR2(600),
    CPC_ATTRIBUTE4               VARCHAR2(600),
    CPC_ATTRIBUTE5               VARCHAR2(600),
    CPC_ATTRIBUTE6               VARCHAR2(600),
    CPC_ATTRIBUTE7               VARCHAR2(600),
    CPC_ATTRIBUTE8               VARCHAR2(600),
    CPC_ATTRIBUTE9               VARCHAR2(600),
    CPC_ATTRIBUTE10              VARCHAR2(600),
    CPC_ATTRIBUTE11              VARCHAR2(600),
    CPC_ATTRIBUTE12              VARCHAR2(600),
    CPC_ATTRIBUTE13              VARCHAR2(600),
    CPC_ATTRIBUTE14              VARCHAR2(600),
    CPC_ATTRIBUTE15              VARCHAR2(600),
    CPC_ATTRIBUTE16              VARCHAR2(600),
    CPC_ATTRIBUTE17              VARCHAR2(600),
    CPC_ATTRIBUTE18              VARCHAR2(600),
    CPC_ATTRIBUTE19              VARCHAR2(600),
    CPC_ATTRIBUTE20              VARCHAR2(600),
    CPC_ATTRIBUTE21              VARCHAR2(600),
    CPC_ATTRIBUTE22              VARCHAR2(600),
    CPC_ATTRIBUTE23              VARCHAR2(600),
    CPC_ATTRIBUTE24              VARCHAR2(600),
    CPC_ATTRIBUTE25              VARCHAR2(600),
    CPC_ATTRIBUTE26              VARCHAR2(600),
    CPC_ATTRIBUTE27              VARCHAR2(600),
    CPC_ATTRIBUTE28              VARCHAR2(600),
    CPC_ATTRIBUTE29              VARCHAR2(600),
    CPC_ATTRIBUTE30              VARCHAR2(600),
    LAST_UPDATE_DATE             TIMESTAMP(6)     NOT NULL,
    LAST_UPDATED_BY              VARCHAR2(256)    NOT NULL,
    LAST_UPDATE_LOGIN            VARCHAR2(128),
    CREATED_BY                   VARCHAR2(256)    NOT NULL,
    CREATION_DATE                TIMESTAMP(6)     NOT NULL,
    OBJECT_VERSION_NUMBER        NUMBER(9, 0)     NOT NULL,
    CONSTRAINT pk_ben_cntnu_prtn_ctfn_typ_f PRIMARY KEY (CNTNU_PRTN_CTFN_TYP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE, CNTNU_PRTN_CTFN_TYP_ID, EFFECTIVE_START_DATE, EFFECTIVE_END_DATE)
);
